﻿<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Attendance report
            </h1>
        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to PDF" ng-click="saveToPDF()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-export-pdf fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />

        <div class="row place-left margin-right20">
            <label>Program</label>
            <div class="span4" data-role="input-control">
                <div class="input-control select" data-role="input">
                    <select ng-model="Model._SelectedPrograms" chosen multiple
                            ng-options="obj.Value as obj.Text for obj in AllPrograms"></select>
                </div>
            </div>
        </div>
        <div class="one-fourth place-left">
            <label class="req-star">Start date</label>
            <div class="input-control date-time" data-role="input-control">
                <div>
                    <input kendo-date-picker k-options="MC.datePickerOptions" ng-model="Model.DateProgram" />
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="row place-left one-fourth" style="width: 300px !important">
            <label>Sort by</label>
            <div class="input-control select" data-role="input-control">
                <select ng-model="Model.SortBy" ng-options="obj.Value as obj.Title for obj in Model.Sorts"></select>
            </div>
        </div>
        <div class="clearfix"></div>
        <button type="submit" ng-click="runReport()" class="primary large place-right button" style="margin-top: 25px; margin-bottom: 30px">Run</button>
        <br />
    </div>

    <div ng-show="IsRunReport">
        <table class="jbt-table-custom structure-bright-gray structure-no-bordered structure-split-bottom">
            <!--1-->
            <tr>
                <td rowspan="3" class="numbertd"></td>
                <td rowspan="2" valign="middle"><img class="logo-club" ng-src="{{InfoModel.Logo}}" /></td>
                <td colspan="5"></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <!--2-->
            <tr>
                <td colspan="5"></td>
                <td style="min-width:200px;">School Name: {{InfoModel.SchoolName}}</td>
                <td style="min-width:200px;">Report Date: {{InfoModel.ReportDate}}</td>
                <td></td>
                <td></td>
            </tr>
            <!--3-->
            <tr>
                <td>Total Number of participants: {{InfoModel.TotalNumberOfParticipant}}</td>
                <td colspan="5"></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
        </table>
        <table class="jbt-table-custom structure-green-line">
            <!--row 1-->
            <tr class="structure-green">
                <th class="structure-text-center structure-bold" style="max-width: 35px; width: 35px;" rowspan="3">#</th>
                <th class="structure-text-center structure-bold" rowspan="3">Participant Name</th>
                <th class="structure-text-center structure-bold" style="max-width: 55px; width: 55px;" rowspan="3">Grade</th>
                <th class="structure-text-center structure-bold" rowspan="3">Tuition label</th>
                <th class="structure-text-center structure-bold" rowspan="3">Teacher</th>
                <th class="structure-text-center structure-bold" colspan="5">Days</th>
                <th class="structure-text-center structure-bold" rowspan="3">Phone #</th>

            </tr>
            <!--row 2-->
            <tr class="structure-green">

                <td class="structure-text-center structure-bold">M</td>
                <td class="structure-text-center structure-bold">T</td>
                <td class="structure-text-center structure-bold">W</td>
                <td class="structure-text-center structure-bold">R</td>
                <td class="structure-text-center structure-bold">F</td>

            </tr>
            <!--row 3-->
            <tr class="structure-bright-gray">

                <td class="structure-text-center structure-bold">{{InfoModel.TotalItemInMonday}}</td>
                <td class="structure-text-center structure-bold">{{InfoModel.TotalItemInTuesday}}</td>
                <td class="structure-text-center structure-bold">{{InfoModel.TotalItemInWednesday}}</td>
                <td class="structure-text-center structure-bold">{{InfoModel.TotalItemInThursday}}</td>
                <td class="structure-text-center structure-bold">{{InfoModel.TotalItemInFriday}}</td>

            </tr>
            <!--row 4-->
            <tr class="structure-text-center" ng-repeat="Participant in InfoModel.Participants">
                <td>{{Participant.Number}}</td>
                <td>{{Participant.StudentName}}</td>
                <td>{{Participant.Grade}}</td>
                <td>{{Participant.TuitionName}}</td>
                <td>{{Participant.TeacherName}}</td>
                <td ng-show="Participant.Monday == true">X</td>
                <td ng-show="Participant.Monday != true"></td>
                <td ng-show="Participant.Tuesday == true">X</td>
                <td ng-show="Participant.Tuesday != true"></td>
                <td ng-show="Participant.Wednesday == true">X</td>
                <td ng-show="Participant.Wednesday != true"></td>
                <td ng-show="Participant.Thursday == true">X</td>
                <td ng-show="Participant.Thursday != true"></td>
                <td ng-show="Participant.Friday == true">X</td>
                <td ng-show="Participant.Friday != true"></td>
                <td ng-show="Participant.FirstParentPhone != ''">{{Participant.FirstParentPhone}}</td>
                <td ng-show="Participant.FirstParentPhone == ''"></td>
            </tr>
            <tr class="structure-text-right bold-line structure-bright-gray">

                <td colspan="5" class="structure-bold">Total: </td>
                <td class="structure-bold structure-text-center">{{InfoModel.TotalItemInMonday}}</td>
                <td class="structure-bold structure-text-center">{{InfoModel.TotalItemInTuesday}}</td>
                <td class="structure-bold structure-text-center">{{InfoModel.TotalItemInWednesday}}</td>
                <td class="structure-bold structure-text-center">{{InfoModel.TotalItemInThursday}}</td>
                <td class="structure-bold structure-text-center">{{InfoModel.TotalItemInFriday}}</td>
                <td></td>
            </tr>
        </table>

    </div>

    <div class="clearfix"></div>
</div>
